Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236711 - gcc: internal compiler error: in compare_values, at tree-vrp.c
Summary: gcc: internal compiler error: in compare_values, at tree-vrp.c
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 6
Hardware: ppc64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 08:53 UTC by Helmut Tschemernjak
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-19 11:51:13 UTC


Attachments (Terms of Use)
preprocessed source file to demonstrate gcc internal compiler error (deleted)
2007-04-17 08:59 UTC, Helmut Tschemernjak
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 31632 None None None Never

Description Helmut Tschemernjak 2007-04-17 08:53:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/419 (KHTML, like Gecko) Safari/419.3

Description of problem:
gcc fails with "internal compiler error: in compare_values, at tree-vrp.c:436"


Version-Release number of selected component (if applicable):
gcc-4.1.1-51.fc6

How reproducible:
Always


Steps to Reproduce:
1. Compile the attached (preprocessed) source file with
"gcc -Wall -fno-strict-aliasing -O2 gccbug.c"


Actual Results:
gcc output:
oieps_itoc_tag.c: In function ‘oiepsDetermineResourceRegions’:
oieps_itoc_tag.c:882: internal compiler error: in compare_values, at tree-vrp.c:436
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccHbyP1Q.out file, please attach this to your bugreport.


Expected Results:


Additional info:
The problem does not occur with optimization "-O1".

Comment 1 Helmut Tschemernjak 2007-04-17 08:59:58 UTC
Created attachment 152778 [details]
preprocessed source file to demonstrate gcc internal compiler error

Comment 2 Jakub Jelinek 2007-04-19 11:51:13 UTC
Tracking upstream, PR31632.
But if you fix the source, in oiepsDetermineResourceRegions change
if (max <= NULL)
(or is that if (max <= ((void *)0)) in the source?) to if (max == 0)
or if (max <= 0) etc.
max is unsigned integral type (size_t), while the second operand is void *. 


Note You need to log in before you can comment on or make changes to this bug.